// Code generated by go-swagger; DO NOT EDIT.

package ansible

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

/*AnsibleRoleTestDefault An unexpected error response

swagger:response ansibleRoleTestDefault
*/
type AnsibleRoleTestDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewAnsibleRoleTestDefault creates AnsibleRoleTestDefault with default headers values
func NewAnsibleRoleTestDefault(code int) *AnsibleRoleTestDefault {
	if code <= 0 {
		code = 500
	}

	return &AnsibleRoleTestDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the ansible role test default response
func (o *AnsibleRoleTestDefault) WithStatusCode(code int) *AnsibleRoleTestDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the ansible role test default response
func (o *AnsibleRoleTestDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the ansible role test default response
func (o *AnsibleRoleTestDefault) WithPayload(payload *models.Error) *AnsibleRoleTestDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the ansible role test default response
func (o *AnsibleRoleTestDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *AnsibleRoleTestDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
